Bug 891942 - (CVE-2012-6094) CVE-2012-6094 cups: 'Listen localhost:631' option not honoured correctly on IPv6-enabled systems when systemd used for CUPS socket activation
CVE-2012-6094 cups: 'Listen localhost:631' option not honoured correctly on I...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121221,repor...
: Security
Depends On: 842365 891945
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 10:21 EST by Jan Lieskovsky
Modified: 2015-07-31 06:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-04 10:21:33 EST
During the process of CUPS socket activation code refactoring in favour of systemd capability a security flaw was found in the way CUPS service honoured Listen localhost:631 cupsd.conf configuration option. The setting was recognized properly for IPv4-enabled systems, but failed to be correctly applied for IPv6-enabled systems. As a result, a remote attacker could use this flaw to obtain (unauthorized) access to the CUPS web-based administration interface.

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=795624
Comment 1 Jan Lieskovsky 2013-01-04 10:23:53 EST
This issue did NOT affect the versions of the cups package, as shipped with Red Hat Enterprise Linux 5 and 6 as they did not use systemd capability for CUPS socket activation yet.

--

This issue affects the versions of the cups package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-04 10:24:33 EST
Created cups tracking bugs for this issue

Affects: fedora-all [bug 891945]
Comment 3 Jan Lieskovsky 2013-01-04 10:31:42 EST
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/01/04/1
Comment 4 Jan Lieskovsky 2013-01-04 10:36:24 EST
Statement:

Not vulnerable. This issue did not affect the versions of cups as shipped with Red Hat Enterprise Linux 5 and 6 as they did not use the systemd capability for CUPS socket activation yet.
Comment 5 Vincent Danen 2013-01-07 11:10:19 EST
This was assigned CVE-2012-6094:

http://www.openwall.com/lists/oss-security/2013/01/04/5
Comment 8 Fedora Update System 2013-02-25 21:41:53 EST
cups-1.5.4-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.